// -*- c++ -*-
/***************************************************************************
                           settingsdialog.h
                           ----------------
    begin                : Sun Sep 13 2003
    copyright            : (C) 2003 Dirk Ziegelmeier
    email                : dziegel@gmx.de
 ***************************************************************************/

/*
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public License
 * along with this library; see the file COPYING.LIB.  If not, write to
 * the Free Software Foundation, Inc., 51 Franklin Steet, Fifth Floor,
 * Boston, MA 02110-1301, USA.
 */

#ifndef SETTINGSDIALOG_H
#define SETTINGSDIALOG_H

#include <kpagedialog.h>
#include <QList>

class Kdetv;
class SettingsDialogPage;

/**
 * @author Kevin Hessels
 */
class SettingsDialog : public KPageDialog
{
    Q_OBJECT

public:
    SettingsDialog(QWidget*, char*, bool, Kdetv*, QList<SettingsDialogPage*>*, Qt::WFlags fl = 0);
    ~SettingsDialog();


signals:
    void optionsModified();


protected slots:
    void slotApply();
    void slotDefault();
    void slotCancel();
    void slotOk();
    void slotHelp();


private:
    void doApply();
    void addDialogPage(SettingsDialogPage* page);

    Kdetv*                       _ktv;
    QList<SettingsDialogPage*>   _pages;
    int                          _externalPageCount;
};

#endif

